#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ECodecUsagePlatform {
    Unknown = 0,
    Windows = 1,
    MacOS = 2,
    Linux = 3,
    SteamDeck = 4,
}

impl ECodecUsagePlatform {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Unknown as i32 => Some(Self::Unknown),
            x if x == Self::Windows as i32 => Some(Self::Windows),
            x if x == Self::MacOS as i32 => Some(Self::MacOS),
            x if x == Self::Linux as i32 => Some(Self::Linux),
            x if x == Self::SteamDeck as i32 => Some(Self::SteamDeck),
            _ => None,
        }
    }
}
